What's New in AssetWise

New in AssetWise v16.7.60
New in AssetWise v16.7.59
New in AssetWise v16.7.58
New in AssetWise v16.7.57
Parent topic: AssetWise Readme


New in AssetWise v16.7.60

Bidirectional Attribute Updating

With this release, AssetWise now allows for bidirectional updates to documents registered in ProjectWise or AssetWise. For registered documents, all bidirectional attribute values will originate from the system that contains the document being registered. For example, if the document is registered from ProjectWise to AssetWise, bidirectional attribute values will originate from ProjectWise. Likewise, if the document is registered from AssetWise to ProjectWise, bidirectional attribute values will originate from AssetWise.

If the action is an attribute synchronization, the bidirectional attribute value will originate from the document that was most recently updated. Therefore, if a document is updated in both AssetWise and ProjectWise, the most recently updated document's attributes are accepted and updated. You will also receive a warning notification when setting bidirectional synchronization:
Bidirectional synchronization is defined in the Attribute Mapping topic, in AssetWise Director. For example,
Parent topic: What's New in AssetWise


New in AssetWise v16.7.59

This version is a maintenance release.

Parent topic: What's New in AssetWise


New in AssetWise v16.7.58

This version is a maintenance release.

Parent topic: What's New in AssetWise


New in AssetWise v16.7.57

AssetWise ALIM ProjectWise Connector

There are several new enhancements in this version of AssetWise:

AssetWise projects can now be registered with ProjectWise.

AssetWise documents related to AssetWise projects with a configured relationship can now be registered with ProjectWise.

Two new configurations to support level 2 (Greenfield) ProjectWise integration: ProjectWiseDocumentToProjectRelationshipTemplateName and ProjectWiseLevel2RevisionAction. These settings are defined in System Settings > ProjectWise.

Improvements have been made to Director Synchronization options that improve usage indications.

ProjectWise environment attributes can be used to find documents in AssetWise.

Publisher Service

You can now select which types of jobs that the Publisher queue can be process on each server. This allows for servers to be configured to process specific types of Publish jobs, such as Publish only, Publisher - File Download only, or both.

This feature is defined via the AssetWise System Management Console Publisher service. For example,

For existing installations, both job types are automatically selected if the Publisher queue is enabled.

Parent topic: What's New in AssetWise


Requirements

What's Delivered

These applications are delivered in the product download:

  • AssetWise Information Integrity Server (includes the Application Server, other core services and the AssetWise System Management Console)
  • AssetWise Bulk Transfer Configuration Tool
  • eB SSRS Data Provider
  • eB SSIS Components
  • eB Capture
  • AssetWise ALIM ProjectWise Connector (includes required ProjectWise database files)

All server installations are found in the ...\eB\Server Installation folder of the product download package.

All client installations are found in the ...\eB\Client Installation folder of the product download package.

Required third party products are found in the ...\eB\Support Files\Redistributables folder of the product download package.

Supported Operating Systems

All AssetWise servers are supported on these 64-bit operating systems:

  • Windows Server 2019, Standard Edition
  • Windows Server 2016, Standard Edition
  • Windows Server 2012 R2, Standard Edition
  • Windows Server 2012, Standard Edition

All AssetWise client applications are supported on these operating systems:

  • Windows 10 (64-bit)
  • Windows 8.1 (32 and 64-bit)
  • Windows 8 (32 and 64-bit)

Supported Databases

SQL Server:

  • Microsoft SQL Server 2016 SP2
  • Microsoft SQL Server 2014 SP3
  • Microsoft SQL Server 2012 SP4
  • Microsoft Azure SQL Database (for hosted solutions)

Oracle:

  • Oracle Database 12c (12.2.0.1) - using 12.1.0.1 client (64-bit only)
  • Oracle Database 11g (11.2.0.4) - using 11.2.0.4 client (64-bit only)
Note: The AssetWise ALIM ProjectWise Connector functionality is only supported for SQL Server deployments and is no longer supported in Oracle.

It is recommended that you use the specific versions listed. Incremental updates are likely to work but are not recommended as they have not been tested with this release.

Note: Oracle Database must have Oracle Locator installed, in order to successfully install or update the Core database package (in AssetWise System Management Console) on Oracle-based datasources.
Note: This release does not support container databases in Oracle Database 12c.

AssetWise Information Integrity Server (Application Server) Requirements

  • 2 Hyper-threaded baseline 2.7 Ghz processors, (Turbo Boost technology recommended)
  • 7 GB of RAM or more recommended
  • 10 GB of free hard disk space for install
  • SSD required
  • Windows networking configured for the HTTPS/SSL protocol
  • Microsoft .NET Framework 3.5 SP1 and 4.5 (both versions are required)
  • Microsoft Sync Framework 2.1 (delivered with AssetWise)
  • Oracle 11g or 12c Client (if using Oracle)
  • SQL Server CLR Types (if using SQL Server)
  • Print Service and Rendition Service requirements:
    • Microsoft Word 2010 or 2013
    • Microsoft Excel 2010 or 2013
    • ProjectWise InterPlot Server CONNECT Edition - 10.00.01.22 (a separate download, available from Bentley's Software Fulfillment Center )

      ProjectWise InterPlot Server requires:

      • GhostScript
  • FTR Service requirements:

    For SQL Server-based communities:

    • A SQL Server database with FILESTREAM storage enabled
    • An iFilter for each file type you want to index

    For Oracle-based communities:

    • An Oracle Database installation with Oracle Text
  • AssetWise Information Integrity Server requires an AssetWise license. Other services require additional licenses.

AssetWise Director Requirements

  • Pentium class processor, 1 GHz or better recommended (x86 or x64 processor)
  • 1 GB of RAM for AssetWise Director x86)

    2 GB of RAM for AssetWise Director x64)

  • 130 MB of free hard disk space for install
  • Windows client operating system:
    • Windows 10 (64-bit)
    • Windows 8.1 (32 and 64-bit)
    • Windows 8 (32 and 64-bit)
  • Windows networking configured for the HTTPS/SSL protocol
  • Microsoft .NET Framework 3.5 SP1 and 4.5 (both versions are required)
  • Brava! Desktop 7.3 or 7.4 - to view files in AssetWise without requiring the native application
  • Requires a license

AssetWise Capture Requirements

  • Windows client operating system:
    • Windows 10 (64-bit)
    • Windows 8.1 (32 and 64-bit)
    • Windows 8 (32 and 64-bit)
  • Windows networking configured for the HTTPS/SSL protocol
  • Microsoft .NET Framework 3.5 SP1 and 4.5 (both versions are required)
  • Kofax Capture 10.2
  • Requires a Bentley Kofax Scanning Server license

AssetWise SSRS Data Provider Requirements

  • Windows server operating system:
    • Windows Server 2019, Standard Edition
    • Windows Server 2016, Standard Edition
    • Windows Server 2012 R2, Standard Edition
    • Windows Server 2012, Standard Edition
  • Windows networking configured for the HTTPS/SSL protocol
  • Microsoft .NET Framework 3.5 SP1 and 4.5 (both versions are required)
  • SQL Server 2016 Reporting Services with SQL Server Data Tools 16.5 for Visual Studio 2015 (later Visual Studio versions not supported)
  • Requires a Bentley Data Quality Server license

AssetWise ALIM ProjectWise Connector Requirements

  • Windows server operating system:
    • Windows Server 2019, Standard Edition
    • Windows Server 2016, Standard Edition
    • Windows Server 2012 R2, Standard Edition
    • Windows Server 2012, Standard Edition
  • Windows networking configured for the HTTPS/SSL protocol
  • Microsoft Sync Framework 2.1 (delivered with AssetWise)
  • ProjectWise Queue Engine

    The connector delivers this engine, which requires:

    • Sync Service (the connector installs this)
    • ProjectWise Explorer CONNECT Edition Update 3.2 or later
    • ProjectWise Gateway Service CONNECT Edition Update 3.2 or later - only required if the ProjectWise Queue Engine is not installed on the ProjectWise Design Integration Server computer
  • ProjectWise Storage Driver

    The connector delivers this driver, which requires:

    • Storage Service (the connector installs this if needed)
    • ProjectWise Explorer CONNECT Edition Update 3.2 or later
  • ProjectWise Database Files - must be installed on the AssetWise Information Integrity Server computer
  • Works with ProjectWise Design Integration Server CONNECT Edition Update 3.2 or later
  • Requires a license
Note: The AssetWise ALIM ProjectWise Connector functionality is only supported for SQL Server deployments and is no longer supported in Oracle.

Items No Longer Supported

Operating systems

  • Windows Server 2008
  • Windows 7
  • Windows Server 2003
  • Windows Vista
  • Windows XP

Network protocol

  • TCP/IP

Databases

  • Microsoft SQL Server 2008
  • Microsoft SQL Server 2005
  • Microsoft SQL Server 2000
  • Oracle Database 10g

Applications

  • Kofax Capture 10.1 and earlier
  • Brava! Desktop, 7.2 and earlier
  • Spicer Imagenation viewer

Web browsers

  • Internet Explorer 9 and earlier

Features

  • eB Authentication Module for Brava
  • ProjectWise web plug-in
  • CAD-Connect
  • Web View Server
  • FTR Hit-Highlighting


Release Notes

GetNumberMask API

The GetNumberMask API is deprecated as of release version 16.7.47. You can now retrieve basic information about a template for use by other API's that can provide template information, using one of the two following alternative methods:

  • Using EQL, if only the template model object is available:

    START WITH Template SELECT CodeMask WHERE Model.ID = <objectId> AND Model.Type = <objectType>

    Note: The objectId / objectType parameters were required in the GetNumberMask API.
  • Using retrieval, if the template name is available:

    eB.Data.Template t = new eB.Data.Templates(session, <template_Id>); t.Retrieve("Header"); numberMask = t.Code.Mask;

AssetWise Engineering Designer

The AssetWise Engineering Designer installation folder is now located in this folder on the AssetWise Information Integrity Server: ...\Server Installation\AssetWise ALIM Engineering Designer Database Package. The AssetWise Engineering Designer installation file is located in this folder, and has been renamed to "AssetWise ALIM Engineering Designer Database Package.msi".

Kofax Capture

Although the current release of Kofax Capture is version 11, file and folder names and the user interface still references version 10.2. All references will be updated in a later release.
Note: An Unhandled Exception error may occur when a user accesses the eB Connector dialog. Workaround: Edit information on the Index Storage tab then navigate to the eB Connect tab, and then click OK. The changes will be saved.

Microsoft Windows 10 v. 1703 Update Causes User Interface Issues

Upon upgrading Microsoft Windows 10 to version 1703, various fields may not be displayed appropriately, and the system may hang attempting to view audit or other details. To correct this, perform the following workaround:
  1. In Windows 10 File Explorer, locate the AssetWise Director application file, for example, C:\Program Files (x86)\Bentley\eB\Director.
  2. Right-click Director.exe, and select Properties.
  3. Select the Compatibility tab.
  4. Select Override high DPI scaling behavior, and in the Scaling performed by list, select System (Enhanced).
    For example,
  5. When finished, click OK to save the changes.

AssetWise Core Server Renamed

The AssetWise Core Server is now referred to as AssetWise Information Integrity Server.

Documentation will be updated to reflect the new name, across future releases.


Troubleshooting

This section documents solutions to some issues users may encounter when using AssetWise products.

AssetWise Director Does Not Display More than 15 Audit Detail Entries


AssetWise Director Does Not Display More than 15 Audit Detail Entries

If Windows Scaling is not set to 100%, AssetWise Director Audit Detail may only display the first 15 entries.

To override Windows Scaling when using AssetWise Director, use the following procedure:

  1. Go to the folder where the AssetWise Director application is installed (by default it is C:\Program Files (x86)\Bentley\eB\Director
  2. Right click eB.Application.Director.exe
  3. Select Properties
  4. Click the Compatibility tab
  5. Click the Change high DPI settings button
  6. Optional - Select I open this program in the drop-down list
  7. Uncheck the Program DPI (Use this setting...) checkbox
  8. Check the Override high DPI scaling behavior checkbox
  9. Select System (Enhanced) from the drop-down list

  10. Click OK to save the changes.
Parent topic: Troubleshooting


Security Release Notes

Not applicable to this release.


Notices

TRADEMARK NOTICE

Bentley and the "B" Bentley logo are registered or non-registered trademarks of Bentley Systems, Incorporated. All other marks are the property of their respective owners.

COPYRIGHT NOTICE

Copyright (c) 2020 Bentley Systems, Incorporated. All rights reserved.

Including software, file formats, and audiovisual displays; may only be used pursuant to applicable software license agreement; contains confidential and proprietary information of Bentley Systems, Incorporated and/or third parties which is protected by copyright and trade secret law and may not be provided or otherwise made available without proper authorization.

RESTRICTED RIGHTS LEGEND

If this software is acquired for or on behalf of the United States of America, its agencies and/or instrumentalities ("U.S. Government"), it is provided with restricted rights. This software and accompanying documentation are "commercial computer software" and "commercial computer software documentation", respectively, pursuant to 48 C.F.R. 12.212 and 227.7202, and "restricted computer software" pursuant to 48 C.F.R. 52.227-19(a), as applicable. Use, modification, reproduction, release, performance, display or disclosure of this software and accompanying documentation by the U.S. Government are subject to restrictions as set forth in this Agreement and pursuant to 48 C.F.R. 12.212, 52.227-19, 227.7202, and 1852.227-86, as applicable.

Contractor/Manufacturer is Bentley Systems, Incorporated, 685 Stockton Drive, Exton, PA 19341-0678.

Unpublished - rights reserved under the Copyright Laws of the United States and International treaties.

END USER LICENSE AGREEMENT (EULA.PDF)

For reference, a copy of the End User License Agreement named " EULA.pdf " is placed in the following folder after installation:

C:\Program Files\Bentley\eB (for 64-bit installations on 64-bit computers, and 32-bit installations on 32-bit computers)

C:\Program Files (x86)\Bentley\eB (for 32-bit installations on 64-bit computers)

HEADQUARTERS

Corporate Headquarters | International Headquarters | Asia Headquarters
Bentley Systems, Incorporated 685 Stockton Drive Exton, PA 19341-0678 USA Phone: (1) 610 458-5000 Fax: (1) 610 458-1060 WWW: http://www.bentley.com/ | Bentley Systems International Limited 2 Park Place Upper Hatch Street Dublin 2 Ireland Phone: +353 1 436 4600 Fax: +353 1 416 1261 | Bentley Engineering Software Systems Unit 1402-06, Tower 1 China Central Place, Beijing 100022 CHINA Phone: (86) 10 5929 7000 Fax: (86) 10 5929 7001 WWW: https://www.bentley.com/zh


AssetWise Readme

Last updated: May 09, 2021
What's New in AssetWise
Requirements
Release Notes
Troubleshooting
Security Release Notes
Notices